Subject: bug#8569: 24.0.50; overlay arrow

From: "Drew Adams" <[email-masked]>
Date: Thu, 28 Apr 2011 11:17:19 -0700

> > > The overlay arrow is not something used all over the place 
> > > in Emacs code and doc.  We should change the name now to
> > > avoid this confusion.
> > 
> > I'm afraid it's way too late.  Most of these variables (the 
> first two)
> > exist since 1988, when this feature was first introduced into Emacs.
> > Of course, back then we didn't have the fringes, so the arrow was
> > displayed like it is now on text terminals (try "emacs -nw").
> 
> I'm well aware that it was introduced in the 80s.  I used it 
> back then.
> 
> It should have been renamed when overlays were introduced, 
> but it wasn't.
> 
> It should be renamed now.  It is not used that much, and the 
> renaming would not
> have much, if any, negative impact.

BTW, if you so choose (e.g. for the convenience of old-timers or something), you
can always just leave the old names there, using aliases, and let them remain
deprecated forever without actually removing them.

What's important is to remove the misleading names from the doc so that users
will not get confused.